Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.impl.common
Class GMSConfigConstants

    java.lang.Object
      com.sun.enterprise.ee.cms.impl.common.GMSConfigConstants

    public class GMSConfigConstants

extends Object

Configuration constants used to denote keys for configuration elements. These are used both to populate values for such contants and to retrive them.

Version:
  $Revision: 1.2 $ TODO: Move this out of here to impl.jxta
Author:
  Shreedhar Ganapathy Date: Jul 13, 2005

Field Summary
`static String` | `FD_MAX_RETRIES`
`static String` | `FD_TIMEOUT`
`static String` | `MERGE_MAX_INTERVAL`
`static String` | `MERGE_MIN_INTERVAL`
`static String` | `MULTICAST_ADDRESS`
`static String` | `MULTICAST_PORT`
`static String` | `PING_TIMEOUT`
`static String` | `VS_TIMEOUT`

Constructor Summary
`GMSConfigConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MULTICAST_ADDRESS

    public static final String MULTICAST_ADDRESS

See Also:
  Constant Field Values

### MULTICAST_PORT

    public static final String MULTICAST_PORT

See Also:
  Constant Field Values

### FD_TIMEOUT

    public static final String FD_TIMEOUT

See Also:
  Constant Field Values

### FD_MAX_RETRIES

    public static final String FD_MAX_RETRIES

See Also:
  Constant Field Values

### MERGE_MAX_INTERVAL

    public static final String MERGE_MAX_INTERVAL

See Also:
  Constant Field Values

### MERGE_MIN_INTERVAL

    public static final String MERGE_MIN_INTERVAL

See Also:
  Constant Field Values

### VS_TIMEOUT

    public static final String VS_TIMEOUT

See Also:
  Constant Field Values

### PING_TIMEOUT

    public static final String PING_TIMEOUT

See Also:
  Constant Field Values

Constructor Detail

### GMSConfigConstants

    public GMSConfigConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.